#!/bin/sh
# script to install meteohub on a sheeva plug with debian lenny installed.
HOME=/home
ROOT=`pwd`
LOG=$ROOT/install.log
echo "progress will be logged in $LOG"
echo "`date`" >$LOG
echo "============= update lenny" >>$LOG
echo -n "udpate lenny..."
apt-get update >>$LOG
echo " done"
echo -n "udgrade lenny..."
apt-get -y upgrade >>$LOG
echo " done"
echo "============= install packages" >>$LOG
for i in `cat $ROOT/pkg-plug.list`
do
  echo -n "install $i..."
  apt-get -y install $i 2>>$LOG >>$LOG
  echo " done"
done
apt-get -y install samba
apt-get -y install ddclient
#
echo "============= load source packages" >>$LOG
cd $HOME
for i in `cat $ROOT/load-plug.list`
do
  filename=`echo "$i" | awk -F'/' '{print $NF}'`
  echo -n "download $filename..."
  wget "$i" 2>>$LOG >>$LOG
  echo -n " extract..."
  tar xzf $filename 2>>$LOG >>$LOG
  rm $filename >/dev/null 2>/dev/null
  echo " done"
done
chown -R root.root *
echo "============= compile source packages" >>$LOG
for i in `cat $ROOT/compile-plug.list`
do
  filename=`echo "$i" | awk -F'/' '{print $NF}'`
  echo -n "configure $filename..."
  cd $HOME/$filename
  ./configure 2>>$LOG >>$LOG 
  echo -n " compile..."
  make 2>>$LOG >>$LOG
  echo -n " install..."
  make install 2>>$LOG >>$LOG
  echo " done"
done
echo "Errors found: `cat $LOG | grep 'error:' | wc -l`"
cat $LOG | grep 'error:'
cd $ROOT
